Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## orarend
Class OsztalyId

    java.lang.Object
      orarend.OsztalyId

All Implemented Interfaces:
  java.io.Serializable

    public class OsztalyId

extends java.lang.Object
implements java.io.Serializable

Az Osztalyok tábla összetett kulcsának osztálya

Author:
  Csipkés László
See Also:
  Serialized Form

Field Summary
`protected Evfolyam` | `evf_kod`
`protected java.lang.String` | `nev`

Constructor Summary
`OsztalyId()` Üres konstruktor
`OsztalyId(Evfolyam evf, java.lang.String nev)` osztály összetett kulcsának létrehozása

Method Summary
`boolean` | `equals(java.lang.Object o)`
`Evfolyam` | `getEvf_kod()`
`java.lang.String` | `getNev()`
`void` | `setEvf_kod(Evfolyam e)`
`void` | `setNev(java.lang.String nev)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### nev

    protected java.lang.String nev

### evf_kod

    protected Evfolyam evf_kod

Constructor Detail

### OsztalyId

    public OsztalyId()

  Üres konstruktor

### OsztalyId

    public OsztalyId(Evfolyam evf,
                     java.lang.String nev)

  osztály összetett kulcsának létrehozása

  Parameters:
    `evf` - évfolyam neve
    `nev` - osztály neve

Method Detail

### getNev

    public java.lang.String getNev()

### setNev

    public void setNev(java.lang.String nev)

### getEvf_kod

    public Evfolyam getEvf_kod()

### setEvf_kod

    public void setEvf_kod(Evfolyam e)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD